Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.core.service
Class CardServiceInabilityException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--opencard.core.OpenCardException
                              |
                              +--opencard.core.service.CardServiceException
                                    |
                                    +--opencard.core.service.CardServiceImplementationException
                                          |
                                          +--opencard.core.service.CardServiceInabilityException

public class CardServiceInabilityException
extends CardServiceImplementationException

Exception indicating that an operation is not supported by a card service. It is thrown when a card service detects it is incapable of doing something, that is if the limitation encountered is known to the developer of the card service. An example are methods which are declared, but not actually implemented. Another example is cryptographic secure messaging, which may be disabled due to US export restrictions.

See Also:
  Serialized Form

Constructor Summary
`CardServiceInabilityException()` Creates a new exception without detail message.
`CardServiceInabilityException(java.lang.String message)` Creates a new exception with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CardServiceInabilityException

    public CardServiceInabilityException()

  Creates a new exception without detail message.

### CardServiceInabilityException

    public CardServiceInabilityException(java.lang.String message)

  Creates a new exception with the specified detail message.
  Parameters:
    `message` - a string indicating why this exception is thrown

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD